import { Component } from '../../../../client/component';
import { Element } from '../../../../client/element';
import { System } from '../../../../system';
import { Style } from '../../Style';
export interface Props {
    style: Style;
}
export declare const DEFAULT_STYLE: {};
export default class Inherit extends Element<HTMLDivElement, Props> {
    constructor(props: Props, $system: System);
    private _unlisten;
    private _styles;
    private _registerChild;
    private _unregisterChild;
    protected _insertAt(parent: Component, child: Component, at: number): void;
    protected _removeChild(child: Component): void;
    onPropChanged(name: string, style: Style): void;
}
